Package fr.gouv.vitam.functional.administration.core.backup

# Class BackupService

java.lang.Object
fr.gouv.vitam.functional.administration.core.backup.BackupService

public class BackupService extends Object
BackupService class for storing files in offers Thread Safe

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackupService()`
  `BackupService(WorkspaceClientFactory workspaceClientFactory, StorageClientFactory storageClientFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StoredInfoResult`
  `backup(InputStream stream, DataCategory storageCollectionType, String uri)`
  Store file in offers
  `StoredInfoResult`
  `backup(InputStream stream, DataCategory storageCollectionType, String uri, String strategyId)`
  Store file in offers with defined strategy
  `StoredInfoResult`
  `backupFromWorkspace(String workspaceUri, DataCategory storageCollectionType, String objectName)`
  Store file in offers
  `StoredInfoResult`
  `storeIntoOffers(String workspaceContainer, String workspaceUri, DataCategory storageCollectionType, String objectName, String strategyId)`
  Store file in offers

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BackupService

    public BackupService()

  - ### BackupService

    public BackupService(WorkspaceClientFactory workspaceClientFactory, StorageClientFactory storageClientFactory)

- ## Method Details

  - ### backupFromWorkspace

    public StoredInfoResult backupFromWorkspace(String workspaceUri, DataCategory storageCollectionType, String objectName) throws BackupServiceException
    Store file in offers
    Throws:
      `BackupServiceException`

  - ### backup

    public StoredInfoResult backup(InputStream stream, DataCategory storageCollectionType, String uri) throws BackupServiceException
    Store file in offers
    Throws:
      `BackupServiceException`

  - ### backup

    public StoredInfoResult backup(InputStream stream, DataCategory storageCollectionType, String uri, String strategyId) throws BackupServiceException
    Store file in offers with defined strategy
    Throws:
      `BackupServiceException`

  - ### storeIntoOffers

    public StoredInfoResult storeIntoOffers(String workspaceContainer, String workspaceUri, DataCategory storageCollectionType, String objectName, String strategyId) throws BackupServiceException
    Store file in offers
    Throws:
      `BackupServiceException`